# PetscViewerBinaryReadStringArray

reads a binary file an array of strings

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscViewerBinaryReadStringArray(PetscViewer viewer,char ***data)

Collective on MPI_Comm

### Input Parameter

viewer -the binary viewer

### Output Parameter

data -location of the array of strings

Notes: array of strings is null terminated

### See Also

PetscViewerASCIIOpen(), PetscViewerSetFormat(), PetscViewerDestroy(),
VecView(), MatView(), VecLoad(), MatLoad(), PetscViewerBinaryGetDescriptor(), PetscViewerBinaryGetInfoPointer(), PetscFileMode, PetscViewer, PetscBinaryViewerRead()

Level:intermediate
Location: src/sys/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages